/*
 * Copyright (C) 2009 Collabora Ltd <http://www.collabora.co.uk>
 * Copyright (C) 2009 Abner Silva <abner.silva@kdemail.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef GLOBALPRESENCEWIDGET_H
#define GLOBALPRESENCEWIDGET_H

// Plasma
#include <Plasma/Frame>

#include "presencewidget.h"

class QGraphicsLinearLayout;

class GlobalPresenceWidget : public Plasma::Frame
{
    Q_OBJECT

public:
    GlobalPresenceWidget(QGraphicsWidget *parent = 0);
    ~GlobalPresenceWidget();

    void init();

    void setPresenceStatus(const QString &presence);
    void setPresenceMessage(const QString &msg);

Q_SIGNALS:
    void presenceStatusChanged(const QString &presence);
    void presenceMessageChanged(const QString &msg);

private Q_SLOTS:
    void onPresenceStatusChanged(PresenceWidget::PresenceStatus status,
            const QString &text);

private:
    QGraphicsLinearLayout* m_layout;
    PresenceWidget *m_presenceWidget;
    PresenceWidget::PresenceStatus m_status;
    QString m_statusMessage;
};

#endif
